linux flashcam (pwc error)

linux flashcam (pwc error)

之前發現FF在開webcam有問題(ubuntu 9.04)

簡單用 PRELOAD 的方式解決 參考這裡

裝了新版Ubuntu 9.10 發現我的 webcam 不能用,原來是 kernel bug

暫時解決方法:重新開機

也有不用重新開機的方式

先升級到最新版kernel 2.6.31-16-generic

使用 webcam 前先下指令 modprobe -r pwc

再接USB

這樣暫時可以運作,相信kernel很快就會fix這個小問題!

怎麼測試?

用mplayer 我比較順手...

mplayer tv:// -tv fps=25:driver=v4l:width=640:height=480:device=/dev/video0

如果要使用

因為現在都是 v4l2 的世代,舊的webcam 只要還是跑preload的方式才可以。

新的webcam用的是 uvc 比較不會有這些問題!(大概...XD)

reference:https://help.ubuntu.com/community/Webcam

convert from Thomas blog post id 629 old convert log: ./153425/tag%3E2010%2001)

@2010 @01

Comments